import type { ClientOptions } from '@algolia/client-common';
import type { Region } from '../src/querySuggestionsClient';
export { apiClientVersion, Region } from '../src/querySuggestionsClient';
export * from '../model';
/**
 * The client type.
 */
export type QuerySuggestionsClient = ReturnType<typeof querySuggestionsClient>;
export declare function querySuggestionsClient(appId: string, apiKey: string, region: Region, options?: ClientOptions): {
    transporter: import("@algolia/client-common").Transporter;
    appId: string;
    clearCache(): Promise<void>;
    readonly _ua: string;
    addAlgoliaAgent(segment: string, version?: string | undefined): void;
    createConfig(querySuggestionsConfigurationWithIndex: import("../model").QuerySuggestionsConfigurationWithIndex, requestOptions?: import("@algolia/client-common").RequestOptions | undefined): Promise<import("../model").BaseResponse>;
    customDelete({ path, parameters }: import("../model").CustomDeleteProps, requestOptions?: import("@algolia/client-common").RequestOptions | undefined): Promise<Record<string, any>>;
    customGet({ path, parameters }: import("../model").CustomGetProps, requestOptions?: import("@algolia/client-common").RequestOptions | undefined): Promise<Record<string, any>>;
    customPost({ path, parameters, body }: import("../model").CustomPostProps, requestOptions?: import("@algolia/client-common").RequestOptions | undefined): Promise<Record<string, any>>;
    customPut({ path, parameters, body }: import("../model").CustomPutProps, requestOptions?: import("@algolia/client-common").RequestOptions | undefined): Promise<Record<string, any>>;
    deleteConfig({ indexName }: import("../model").DeleteConfigProps, requestOptions?: import("@algolia/client-common").RequestOptions | undefined): Promise<import("../model").BaseResponse>;
    getAllConfigs(requestOptions?: import("@algolia/client-common").RequestOptions | undefined): Promise<import("../model").QuerySuggestionsConfigurationResponse[]>;
    getConfig({ indexName }: import("../model").GetConfigProps, requestOptions?: import("@algolia/client-common").RequestOptions | undefined): Promise<import("../model").QuerySuggestionsConfigurationResponse>;
    getConfigStatus({ indexName }: import("../model").GetConfigStatusProps, requestOptions?: import("@algolia/client-common").RequestOptions | undefined): Promise<import("../model").GetConfigStatus200Response>;
    getLogFile({ indexName }: import("../model").GetLogFileProps, requestOptions?: import("@algolia/client-common").RequestOptions | undefined): Promise<import("../model").GetLogFile200Response>;
    updateConfig({ indexName, querySuggestionsConfiguration }: import("../model").UpdateConfigProps, requestOptions?: import("@algolia/client-common").RequestOptions | undefined): Promise<import("../model").BaseResponse>;
};
//# sourceMappingURL=browser.d.ts.map