import type { QuerySuggestionsConfiguration } from './querySuggestionsConfiguration';
/**
 * Properties for the `customDelete` method.
 */
export type CustomDeleteProps = {
    /**
     * Path of the endpoint, anything after \"/1\" must be specified.
     */
    path: string;
    /**
     * Query parameters to apply to the current query.
     */
    parameters?: Record<string, any>;
};
/**
 * Properties for the `customGet` method.
 */
export type CustomGetProps = {
    /**
     * Path of the endpoint, anything after \"/1\" must be specified.
     */
    path: string;
    /**
     * Query parameters to apply to the current query.
     */
    parameters?: Record<string, any>;
};
/**
 * Properties for the `customPost` method.
 */
export type CustomPostProps = {
    /**
     * Path of the endpoint, anything after \"/1\" must be specified.
     */
    path: string;
    /**
     * Query parameters to apply to the current query.
     */
    parameters?: Record<string, any>;
    /**
     * Parameters to send with the custom request.
     */
    body?: Record<string, any>;
};
/**
 * Properties for the `customPut` method.
 */
export type CustomPutProps = {
    /**
     * Path of the endpoint, anything after \"/1\" must be specified.
     */
    path: string;
    /**
     * Query parameters to apply to the current query.
     */
    parameters?: Record<string, any>;
    /**
     * Parameters to send with the custom request.
     */
    body?: Record<string, any>;
};
/**
 * Properties for the `deleteConfig` method.
 */
export type DeleteConfigProps = {
    /**
     * Query Suggestions index name.
     */
    indexName: string;
};
/**
 * Properties for the `getConfig` method.
 */
export type GetConfigProps = {
    /**
     * Query Suggestions index name.
     */
    indexName: string;
};
/**
 * Properties for the `getConfigStatus` method.
 */
export type GetConfigStatusProps = {
    /**
     * Query Suggestions index name.
     */
    indexName: string;
};
/**
 * Properties for the `getLogFile` method.
 */
export type GetLogFileProps = {
    /**
     * Query Suggestions index name.
     */
    indexName: string;
};
/**
 * Properties for the `updateConfig` method.
 */
export type UpdateConfigProps = {
    /**
     * Query Suggestions index name.
     */
    indexName: string;
    querySuggestionsConfiguration: QuerySuggestionsConfiguration;
};
//# sourceMappingURL=clientMethodProps.d.ts.map